%define debug_package %{nil}

%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(False)")

Summary:	Extracts metadata from multimedia files

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		hachoir-metadata
Version:	1.3.3
Release:	2%{?dist}
URL:		https://bitbucket.org/haypo/hachoir/wiki/Home

License:	GPL

Group:		Applications/Forensics Tools

Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/rpm-root-%{name}-%{version}
BuildRequires:	python
%if 0%{?fedora} > 0
BuildRequires:	PyQt4-devel
Requires:	PyQt4
%endif
%if 0%{?rhel} >= 6
BuildRequires:	PyQt4-devel
Requires:	PyQt4
%endif
%if 0%{?rhel} == 5
BuildRequires:	PyQt-devel
Requires:	PyQt
%endif
Requires:	python hachoir-core hachoir-parser
BuildArch:	noarch

%description
hachoir-metadata extracts metadata from multimedia files: music, picture,
video, but also archives. It supports most common file formats:

 * Archives: bzip2, gzip, zip, tar
 * Audio: MPEG audio ("MP3"), WAV, Sun/NeXT audio, Ogg/Vorbis (OGG), MIDI,
   AIFF, AIFC, Real audio (RA)
 * Image: BMP, CUR, EMF, ICO, GIF, JPEG, PCX, PNG, TGA, TIFF, WMF, XCF
 * Misc: Torrent
 * Program: EXE
 * Video: ASF format (WMV video), AVI, Matroska (MKV), Quicktime (MOV),
   Ogg/Theora, Real media (RM)

It tries to give as much information as possible. For some file formats,
it gives more information than libextractor for example, such as the RIFF
parser, which can extract creation date, software used to generate the file,
etc. But hachoir-metadata cannot guess informations. The most complex operation
is just to compute duration of a music using frame size and file size.

hachoir-metadata has three modes:

 * classic mode: extract metadata, you can use --level=LEVEL to limit quantity
   of information to display (and not to extract)
 * --type: show on one line the file format and most important informations
 * --mime: just display file MIME type

The command 'hachoir-metadata --mime' works like 'file --mime',
and 'hachoir-metadata --type' like 'file'. But today file command supports
more file formats then hachoir-metadata.

Website: http://bitbucket.org/haypo/hachoir/wiki/hachoir-metadata


%prep
%setup -n %{name}-%{version}

%build
%if 0%{?fedora} > 0
	python setup.py build
%endif
%if 0%{?rhel} > 0
	python setup.py build --disable-qt
%endif

%install
echo %{python_sitelib}
%if 0%{?fedora} > 0
	%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"
%endif
%if 0%{?rhel} > 0
	%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}" --disable-qt
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(444, bin, bin, 0755)
%doc AUTHORS ChangeLog COPYING README 
#%attr(444, bin, bin)	%{python_sitelib}/*
%attr(444, bin, bin)	%{python_sitelib}/hachoir_metadata/*.py*
#%attr(755, bin, bin)	%{python_sitelib}/hachoir_metadata
%dir			%{python_sitelib}/hachoir_metadata
%if 0%{?fedora} > 0
%attr(444, bin, bin)	%{python_sitelib}/hachoir_metadata/qt/*.py*
%endif
%attr(444, bin, bin)	%{python_sitelib}/hachoir_metadata*egg-info
%attr(555,bin,bin)	%{_bindir}/%{name}*

%changelog
